<template>
    <div class="blog-archive__items">
        <card-blog-post v-for="(item,index) in items_" :key="index" :item="item"></card-blog-post>
        <div class="pagintaion" v-if="$slots.pagination"><slot name="pagintaion"></slot></div>
    </div>
</template>

<script>
export default {
    props: ['items'],
    data() {
        return {
            items_: this.items || require('@js/samples').default.load('blog', 4)
        }
    }
}
</script>